GET/order_earnings
This method returns detailed order-level financial data for each order associated with a seller account. The returned order-level financial data includes order earnings, gross amount, expenses, and refunds. Order earnings includes earnings after deducting expenses and refunds from the gross amount.
Note: Expenses include fees, shipping labels, and donations. Refunds include gross refunds, gross claims, and gross payment disputes.
The financial data for orders will be returned as filtered based on the order's creation date.Note: Only charges and credits tied to the order are shown, and they appear in near real time for orders created within the selected order creation time window.
Pagination is supported through thelimit and offset parameters. These parameters can be used to control the number of records returned in a single response and to retrieve subsequent pages of results when the result set spans multiple pages.The response can be filtered by using the
filter parameter. This parameter allows consumers to restrict the results returned by the method based on supported filtering criteria.Note: Access to the order_earnings resource is currently limited to only US, China, or Hong Kong sellers who meet the following criteria and also request access:
- US sellers with the country of residence set to US and having a payout currency in USD.
- Hong Kong or China sellers having the country of residence set to HK or CN and the payout currency set to USD have access.
To request access, submit an application growth check to have the required OAuth scope added to your app. After submission, you can use the same growth check link to track the status of the request.
eBay plans on expanding this to other markets in the future.
Important! Due to EU & UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including all Finances API methods. Please refer to Digital Signatures for APIs to learn more on the impacted APIs and the process to create signatures to be included in the HTTP payload.
Note: The Finances API does not support Team Access. Financial information, such as payouts or transactions, is only returned for the user that makes the call. You cannot use any of the methods in this API to return financial information for another user.
Input
Resource URI
Note: When using the Sandbox environment, only a static sample response is returned.
This method is supported in Sandbox environment. To access the endpoint, just replace the apiz.ebay.com root URI with apiz.sandbox.ebay.com
URI parameters
| Parameter | Type | Description |
|---|---|---|
| limit | integer | This parameter configures the number of orders to return per page of the result set. Use this parameter in conjunction with the offset parameter to control the pagination of the output. For example, if offset is set to 10 and limit is set to 10, the method retrieves orders 11 thru 20 from the result set. Note: This feature employs a zero-based list, where the first page in the results set has an offset value of 0. Maximum: 200 Default: 20 Occurrence: Optional |
| offset | integer | This parameter can be used to specify the number of records to skip before returning results. This parameter is commonly used with the limit parameter to retrieve the next page of results.Maximum: 10,000 Default: 0 Occurrence: Optional |
| filter | array of FilterField | This parameter can be used to filter orders created within a specified date range. The filter uses the orderCreationDate field, which works similarly to the transactionDate filter used by the Transactions API. Currently, orderCreationDate is the only supported filter value. Note: All dates must be input using UTC format ( Default: If no value is specified, results from the past year will be returned. Occurrence: Optional |
| sort | array of SortField | This parameter can be used to specify the sort order of the results. Currently, sorting is supported by order creation date. Default: Results returned in ascending order sorted by orderCreationDate, with earliest creation date first. Occurrence: Optional |
HTTP request headers
All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.
The table below shows additional HTTP request headers that are either required, conditionally required, or strongly recommended for this method. Other standard HTTP request headers- opens rest request components page (not in this table) can also be used, but they are optional.
| Header | Type | Description |
|---|---|---|
| X-EBAY-C-MARKETPLACE-ID | string | This header identifies the seller's eBay marketplace. See HTTP request headers for the marketplace ID values. Note: If a marketplace ID value is not provided, the default value of EBAY_US is used. Occurrence: Required |
OAuth scope
This request requires an access token created with the authorization code grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):
https://api.ebay.com/oauth/api_scope/sell.finances.earnings.read
See OAuth access tokens for more information.
Request payload
This call has no payload.
Request fields
This call has no field definitions.
Output
HTTP response headers
This call has no response headers.
Response payload
Response fields
| Output container/field | Type | Description |
|---|---|---|
| href | string | The URI for the current page of results. Occurrence: Always |
| limit | integer | The maximum number of order earnings records returned in a single page of results. Occurrence: Always |
| next | string | The URI for the next page of results. This field is only returned if there is a next page of results to retrieve. Occurrence: Conditional |
| offset | integer | The number of order earnings records skipped before returning the current page of results. Occurrence: Conditional |
| orders | array of OrderEarning | The list of order earnings records returned in the current page of results. This array will be returned as empty if no orders match the request criteria. Occurrence: Conditional |
| orders.buyer | BuyerWithId | Information about the buyer associated with the order. Includes buyer name and public user id. Occurrence: Conditional |
| orders.buyer.userId | string | The public user id of the buyer Occurrence: Conditional |
| orders.buyer.username | string | The username of the buyer. Occurrence: Conditional |
| orders.orderCreationDate | string | The date the order was created and payment was successful. Occurrence: Always |
| orders.orderEarningsSummary | EarningsSummary | This container defines a summarized view of earnings information derived from one order. It provides aggregated financial values for order earnings, gross amount, expenses, and refunds. Order earnings includes earnings after deducting expenses and refunds from the gross amount. Occurrence: Always |
| orders.orderEarningsSummary.expenses | Expense | This container provides the total expenses associated with an order, including:
Note: Expenses are always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.currency | CurrencyCodeEnum | This field shows the three-letter currency code that represents the currency used for all of the order expenses Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations | array of OrderEarningFee | This array shows the amount(s) of one or more donations that are submitted to eBay charity organizations for one or more orders. Note: Donations are always tied to specific items. When an item is listed with a charity contribution (for example, 10%), the donation is calculated per item at the time of sale. Order earnings factor in only the items within the order that are eligible for donation. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount | Amount | The monetary amount of the expense. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.expenses.donations.amount.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.donations.amount.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.expenses.donations.feeType | FeeTypeEnum | The classification of the fee applied to the order. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees | array of OrderEarningFee | This array shows the type and amount(s) of marketplace fees that were charged against one or more orders. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount | Amount | The monetary amount of the expense. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.marketplaceFees.amount.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.expenses.marketplaceFees.feeType | FeeTypeEnum | The classification of the fee applied to the order. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels | Amount | This container shows the total amount paid by the seller for eBay shipping labels for one or more orders. Note: Charges and credits for shipping labels purchased with non-eBay payment methods (for example, PayPal) are excluded from the order earnings calculation. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.expenses.shippingLabels.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderEarningsSummary.expenses.shippingLabels.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.expenses.value | string | This field shows the total expenses including charges and credits associated for one or more orders based on the order creation time period chosen. Occurrence: Conditional |
| orders.orderEarningsSummary.grossAmount | Amount | This container shows the gross amount before any eBay deductions. This amount includes the item subtotal, buyer-paid shipping and handling, and seller-collected tax paid by the buyer. Note: This amount does not include any taxes or fees that eBay collects from the buyer. Note: Gross amount is always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource. Occurrence: Always |
| orders.orderEarningsSummary.grossAmount.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderEarningsSummary.grossAmount.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderEarningsSummary.grossAmount.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderEarningsSummary.grossAmount.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderEarningsSummary.grossAmount.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.grossAmount.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderEarningsSummary.grossAmount.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.orderEarnings | Amount | This container shows your earnings after deducting expenses and any refunds from your gross amount. Note: Order earnings are always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource. Occurrence: Always |
| orders.orderEarningsSummary.orderEarnings.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderEarningsSummary.orderEarnings.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderEarningsSummary.orderEarnings.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderEarningsSummary.orderEarnings.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderEarningsSummary.orderEarnings.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.orderEarnings.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderEarningsSummary.orderEarnings.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.refunds | Amount | This container includes refunds for returns, cases, cancellations, requests, and disputes. It does not include fee credits. Note: Refunds are always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource. Occurrence: Conditional |
| orders.orderEarningsSummary.refunds.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderEarningsSummary.refunds.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderEarningsSummary.refunds.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderEarningsSummary.refunds.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderEarningsSummary.refunds.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderEarningsSummary.refunds.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderEarningsSummary.refunds.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderId | string | The unique identifier of the order. Occurrence: Conditional |
| orders.orderLastModifiedDate | string | The date when the order was last modified. Occurrence: Conditional |
| orders.orderSummary | OrderSummary | The container for order cost details, including line item subtotal, shipping and handling, seller-collected taxes, and any seller applied discounts. Always provided in the listing currency. Occurrence: Conditional |
| orders.orderSummary.discounts | Amount | The total amount of item-level promotions or discounts offered by the seller for a sale (order). Occurrence: Conditional |
| orders.orderSummary.discounts.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderSummary.discounts.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderSummary.discounts.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderSummary.discounts.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderSummary.discounts.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.discounts.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderSummary.discounts.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.itemSubtotal | Amount | The sum of the listing price(s) for all items in the order, before applying any seller discounts. Occurrence: Conditional |
| orders.orderSummary.itemSubtotal.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderSummary.itemSubtotal.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderSummary.itemSubtotal.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderSummary.itemSubtotal.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderSummary.itemSubtotal.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.itemSubtotal.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderSummary.itemSubtotal.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.sellerCollectedTaxes | Amount | The total amount of tax collected by the seller on all sold items for the order. Occurrence: Conditional |
| orders.orderSummary.sellerCollectedTaxes.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderSummary.sellerCollectedTaxes.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderSummary.sellerCollectedTaxes.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderSummary.sellerCollectedTaxes.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderSummary.sellerCollectedTaxes.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.sellerCollectedTaxes.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderSummary.sellerCollectedTaxes.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.shippingAndHandlingCosts | Amount | The total amount collected from the buyer to cover shipping and handling for all items in the order. Occurrence: Conditional |
| orders.orderSummary.shippingAndHandlingCosts.convertedFromCurrency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency. Occurrence: Conditional |
| orders.orderSummary.shippingAndHandlingCosts.convertedFromValue | string | The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field. Occurrence: Conditional |
| orders.orderSummary.shippingAndHandlingCosts.convertedToCurrency | CurrencyCodeEnum | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of Occurrence: Conditional |
| orders.orderSummary.shippingAndHandlingCosts.convertedToValue | string | Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount. Occurrence: Conditional |
| orders.orderSummary.shippingAndHandlingCosts.currency | CurrencyCodeEnum | A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type. Occurrence: Always |
| orders.orderSummary.shippingAndHandlingCosts.exchangeRate | string | The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field. Occurrence: Conditional |
| orders.orderSummary.shippingAndHandlingCosts.value | string | The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type. Occurrence: Always |
| prev | string | The URI for the previous page of results. This field is only returned if there is a previous page of results to retrieve. Occurrence: Conditional |
| total | integer | The total number of order earnings records that match the request criteria. Occurrence: Conditional |
HTTP status codes
This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.
| Status | Meaning |
|---|---|
| 200 | Success |
| 400 | Bad Request |
| 500 | Internal Server Error |
Error codes
For more on errors, plus the codes of other common errors, see Handling errors.
| Code | Domain | Category | Meaning |
|---|---|---|---|
| 135000 | API_FINANCES | APPLICATION | There was a problem with an eBay internal system or process. Contact eBay developer support for assistance. |
| 135005 | API_FINANCES | REQUEST | The value of sort is invalid. |
| 135017 | API_FINANCES | REQUEST | The value of offset is invalid. |
| 135018 | API_FINANCES | REQUEST | The value of limit is invalid. |
| 135019 | API_FINANCES | REQUEST | The orderCreationDate filter is invalid due to syntax issue, or the start and end dates are not compatible with one another. Please see documentation. |
| 135020 | API_FINANCES | REQUEST | The supplied date range is invalid, as orders before year 2024 cannot be retrieved. Please update the date range and resubmit the request. |
| 135021 | API_FINANCES | REQUEST | The supplied date range is invalid, as the date range cannot exceed 12 months. Please update the date range and resubmit the request. |
Warnings
This call has no warnings.
Samples
New to making API calls? Please see Making a Call.
Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.
Sample 1: Get all order earnings
This call sample retrieves all recent order earnings.
Input
Because this sample uses only the method and the endpoint (no filter, sort, or pagination parameters), the default values for those fields apply.
Note: The date range cannot exceed 12 months. Data is available starting 2024.
GEThttps://apiz.ebay.com/sell/finances/v1/order_earnings
Output
The output returns details on up to 20 recent order earnings. Unless a sort query parameter is used, order earnings in a getOrderEarnings response are sorted according to order creation date in descending order (most recent order first). Since no pagination query parameters were used, the limit value defaults to 20 (up to 20 orders per page of the result set) and the offset value defaults to 0 (the first order in the result set is shown first). If there are more than 20 orders to view, the next field will appear in the response, containing the full call URI to retrieve the next page of the result set.
Each order is identified with its orderId value. The response includes information such as buyer details, orderCreationDate, and orderLastModifiedDate, and summarizes the order in orderSummary as well as the earnings in orderEarningsSummary.